#!/bin/bash

convert ~/wallpapers/image.jpg  ~/wallpapers/image_random.png

convert ~/wallpapers/image_random.png -resize 640x360 ~/wallpapers/image_nasalight.png
##aqua effect
convert ~/wallpapers/image_nasalight.png -alpha off -fill white -colorize 100% \
     -draw 'fill black polygon 0,0 0,15 15,0 fill white circle 15,15 15,0' \
     \( +clone -flip \) -compose Multiply -composite \
     \( +clone -flop \) -compose Multiply -composite \
     -background gray60 -alpha Shape     ~/wallpapers/thumbnail_mask.png
###aqua effect2
convert ~/wallpapers/thumbnail_mask.png -bordercolor None -border 1x1 \
          -alpha Extract -blur 0x10  -shade 130x30 -alpha On \
          -background gray60 -alpha background -auto-level \
          -function polynomial  3.5,-5.05,2.05,0.3 \
          \( +clone -alpha extract  -blur 0x2 \) \
          -channel RGB -compose multiply -composite \
          +channel +compose -chop 1x1 \
          ~/wallpapers/thumbnail_lighting.png
##final
convert ~/wallpapers/image_nasalight.png -alpha Set ~/wallpapers/thumbnail_lighting.png \
          \( -clone 0,1 -alpha Opaque -compose Hardlight -composite \) \
          -delete 0 -compose In -composite \
          ~/wallpapers/image_nasa.png

#convert ~/wallpapers/image_nasa.png -resize 640x360 ~/wallpapers/image_nasalight.png

rm ~/wallpapers/thumbnail_lighting.png ;rm ~/wallpapers/thumbnail_mask.png ;rm ~/wallpapers/image_nasalight.png ;rm ~/wallpapers/image_random*.png

